### Method

# Shell AppSystem lookup_startup_wmclass

#### Declaration [src]

    ShellApp*
    shell_app_system_lookup_startup_wmclass (
      ShellAppSystem* system,
      const char* wmclass
    )

#### Description [src]

Find a valid application whose .desktop file contains a StartupWMClass entry matching `wmclass`.

#### Parameters

`wmclass`

  Type: `const char*`

  A WM_CLASS value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShellApp`

A `ShellApp` for `wmclass`.

The data is owned by the instance.